<?php
require_once ALI_APPLICATION_PATH . '/controllers/Abstract/Admin.php';

class Ali_Controller_AdminController
    extends Ali_Controller_Abstract_Admin
{
    public function indexAction()
    {
        /**
        * @var AliForm_Main
        */
        $form = Ali_Application::getForm('Admin');

        if ($_POST) {
            if (!$form->isValid($_POST)) {
                foreach ($form->getElements() as $element) {
                    foreach ($element->getMessages() as $message) {
                        $this->_addMessage(
                            $this->_view->escape("{$element->getLabel()}: {$message}"),
                            'error');
                    }
                }
            } else {
                try {
                    $form->save();
                } catch (Ali_Service_Linker_Exception $e) {
                    $this->_addMessage($this->_view->escape("Keywords: {$e->getMessage()}"), 'error');
                }
            }
        } else {
            $form->load();
        }

        $this->_view->form = $form;
    }

    public function statsAction()
    {
    }

    public function headAction()
    {
        $this->_layoutScript = NULL;
    }
}